VPS侦探论坛

 找回密码
 注册
查看: 190|回复: 3

cent os stream 9安装错误

[复制链接]
发表于 2022-6-13 15:12:30 | 显示全部楼层 |阅读模式

问题如题
airportal.cn 取件码:186122
install.log
谢谢!

美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-13 20:50:37 | 显示全部楼层


/bin/sh /home/sam/lnmp1.9/src/php-5.6.40/libtool --silent --preserve-dup-deps --mode=compile cc  -IZend/ -I/home/sam/lnmp1.9/src/php-5.6.40/Zend/ -DPHP_ATOM_INC -I/home/sam/lnmp1.9/src/php-5.6.40/include -I/home/sam/lnmp1.9/src/php-5.6.40/main -I/home/sam/lnmp1.9/src/php-5.6.40 -I/home/sam/lnmp1.9/src/php-5.6.40/ext/date/lib -I/home/sam/lnmp1.9/src/php-5.6.40/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/openssl/include -I/usr/local/curl/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/oniguruma -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/libmbfl -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/libmbfl/mbfl -I/usr/local/include -I/home/sam/lnmp1.9/src/php-5.6.40/ext/sqlite3/libsqlite -I/home/sam/lnmp1.9/src/php-5.6.40/ext/zip/lib -I/home/sam/lnmp1.9/src/php-5.6.40/TSRM -I/home/sam/lnmp1.9/src/php-5.6.40/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden  -c /home/sam/lnmp1.9/src/php-5.6.40/Zend/zend_ptr_stack.c -o Zend/zend_ptr_stack.lo
/bin/sh /home/sam/lnmp1.9/src/php-5.6.40/libtool --silent --preserve-dup-deps --mode=compile cc  -IZend/ -I/home/sam/lnmp1.9/src/php-5.6.40/Zend/ -DPHP_ATOM_INC -I/home/sam/lnmp1.9/src/php-5.6.40/include -I/home/sam/lnmp1.9/src/php-5.6.40/main -I/home/sam/lnmp1.9/src/php-5.6.40 -I/home/sam/lnmp1.9/src/php-5.6.40/ext/date/lib -I/home/sam/lnmp1.9/src/php-5.6.40/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/openssl/include -I/usr/local/curl/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/oniguruma -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/libmbfl -I/home/sam/lnmp1.9/src/php-5.6.40/ext/mbstring/libmbfl/mbfl -I/usr/local/include -I/home/sam/lnmp1.9/src/php-5.6.40/ext/sqlite3/libsqlite -I/home/sam/lnmp1.9/src/php-5.6.40/ext/zip/lib -I/home/sam/lnmp1.9/src/php-5.6.40/TSRM -I/home/sam/lnmp1.9/src/php-5.6.40/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden  -c /home/sam/lnmp1.9/src/php-5.6.40/Zend/zend_stack.c -o Zend/zend_stack.lo
/tmp/ccbtYaTd.s: Assembler messages:
/tmp/ccbtYaTd.s:6629: 错误:operand 2 must be an integer register -- `mul x2,v0,v1'
/tmp/ccbtYaTd.s:6630: 错误:operand 2 must be an integer register -- `smulh x0,v0,v1'
/tmp/ccbtYaTd.s:7341: 错误:operand 2 must be an integer register -- `mul x2,v9,v0'
/tmp/ccbtYaTd.s:7342: 错误:operand 2 must be an integer register -- `smulh x1,v9,v0'
/tmp/ccbtYaTd.s:7488: 错误:operand 2 must be an integer register -- `mul x2,v0,v0'
/tmp/ccbtYaTd.s:7489: 错误:operand 2 must be an integer register -- `smulh x1,v0,v0'
make: *** [Makefile:2026:Zend/zend_operators.lo] 错误 1

这个是centos下aarch64架构上openssl的兼容性有问题,x86都是正常的
没啥办法,只能换debian、ubuntu之类的试试看看
另外说过很多次的,非常新的linux发行版不要安装EOL的php版本,反之一样
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-6-14 07:57:48 | 显示全部楼层

licess 发表于 2022-6-13 20:50
这个是centos下aarch64架构上openssl的兼容性有问题,x86都是正常的
没啥办法,只能换debian、ubuntu之类 ...

啊 又是arm64的问题吗 我去试试其他发行版吧
还有 小白弱弱问一句 EOL是啥
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-14 10:48:19 | 显示全部楼层



xjy 发表于 2022-6-14 07:57
啊 又是arm64的问题吗 我去试试其他发行版吧
还有 小白弱弱问一句 EOL是啥
...

EOL就是结束支持了的版本,官方不在对EOL的版本进行bug修复等
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-8-9 16:44 , Processed in 0.017533 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表